"""Helper module to normalize vendor name."""

class VendorNameNormalizer:
    """Helper class to normalize vendor names."""
    identical_vendor_names = {
            "keysight technologies" : "Keysight"
        }
    
    @staticmethod
    def get_normalized_vendor_name(vendor_name: str) -> str:
        """Converts a vendor name to a normalized one."""
        lowered_vendor_name = vendor_name.lower()
        if lowered_vendor_name in VendorNameNormalizer.identical_vendor_names:
            return VendorNameNormalizer.identical_vendor_names[lowered_vendor_name]
        return vendor_name